/****************************************
 * Reception des donnees de capteurs
 * Module 1 entree analogique vers Midi
 * Interface-Z
 * Sensors data reception from
 * 1 analogical way
 *****************************************/

// Importer la library the Midibus
// http://smallbutdigital.com/themidibus.php
import themidibus.*; 
MidiBus myBus; 

void setup() {
  // Liste des peripheriques Midi disponibles sur l'ordinateur
  // Displaying Midi devices existing on the computer  
  MidiBus.list(); 

  // Ouverture de port (this, In, Out)
  // Choisir le numero du peripherique dans la liste
  // In et Out etant les numeros des peripheriques entrant et sortant
  // Open Midi port (this, In, Out)
  // Choose the appropriate Midi device from the list
  // In and Out being the corresponding In and Out devices
  myBus = new MidiBus(this, 4, -1);
  // -1 pour ne pas ouvrir ce port
  // -1 in order not to open this port
}

// Reception des capteurs analogiques
// Receiving analogical sensors
int capteur;

void controllerChange(int channel, int number, int value) {
  // Recoit les messages Midi de type Control Change
  // Receive Control Change messages
  if (number == 0) {
    capteur = value;
  }
  println("Control Change : Canal "+channel+" Numero "+number+" Valeur "+capteur);
}

void draw() {
}

